
import 'package:equatable/equatable.dart';

abstract class ProductDetailEvent extends Equatable {
  const ProductDetailEvent();

  @override
  List<Object> get props => [];
}

class ProductDetailFetchRequested extends ProductDetailEvent {
  final String offerId;

  const ProductDetailFetchRequested({required this.offerId});

  @override
  List<Object> get props => [offerId];
}